Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Synaptic niet te installeren  (gelezen 290 keer)

Offline am11

  • Lid
  • Steunpunt: Nee
Synaptic niet te installeren
« Gepost op: 2015/01/23, 10:38:30 »
Hallo,
als ik sudo apt-get install synaptic invoer in een terminal krijg ik dit e zien:

Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Sommige pakketten konden niet geïnstalleerd worden. Dit kan betekenen dat u
een onmogelijke situatie gevraagd hebt of dat u de 'unstable'-distributie
gebruikt en sommige benodigde pakketten nog vastzitten in 'incoming'.
De volgende informatie helpt u mogelijk verder:

De volgende pakketten hebben niet-voldane vereisten:
 synaptic : Vereisten: libgtk-3-0 (>= 3.0.0) maar het zal niet geïnstalleerd worden
            Vereisten: libvte-2.90-9 (>= 1:0.27.2) maar het is niet installeerba

Wa moet ik doen

Offline Ramana

  • Lid
  • Steunpunt: Nee
Re: Synaptic niet te installeren
« Reactie #1 Gepost op: 2015/01/23, 11:09:12 »
Heb je eerst een update en upgrade gedaan?
sudo apt-get update
sudo apt-get upgrade

Offline daniel

  • Lid
  • Steunpunt: Nee
Re: Synaptic niet te installeren
« Reactie #2 Gepost op: 2015/01/23, 11:10:46 »
probeer eens:

sudo apt-get -f install && sudo dpkg --configure -a

Offline am11

  • Lid
  • Steunpunt: Nee
Re: Synaptic niet te installeren
« Reactie #3 Gepost op: 2015/01/23, 12:52:06 »
Citaat
Dit kan betekenen dat u
een onmogelijke situatie gevraagd hebt of dat u de 'unstable'-distributie
gebruikt
en sommige benodigde pakketten nog vastzitten in 'incoming'.
Ik vind dit wel een heel belangrijk aanknopingspunt.

Welke versie gebruik je, zijn er pakketten die niet goed zijn geinstalleerd? Of er zijn gebroken pakketten?

De tip van Ramana (en daniel) zal dit verhelpen.

Maar dan nog vraag ik me af welke versie je van Ubuntu hebt.

Inderdaad die helpen niet, ik heb linux Mint , en waarschijnlijk omdat ik ook nog openbox/kde/genome, daarbij heb geinstallerd. Dus kon ik kiezen in wat voor omgeving ik wil werken, en heb toen besloten om die via synaptic te verwijderen, ja en toen ging het fout.

Offline am11

  • Lid
  • Steunpunt: Nee
Re: Synaptic niet te installeren
« Reactie #4 Gepost op: 2015/01/23, 13:04:55 »
Linux Mint is op zich zelf al heel mooi ;)  dus waarom in hemelsnaam nog meer omgevingen erbij installeren. Dat gaat een keer fout, zoals nu.
Ik raad het altijd af om meer omgevingen erbij te installeren.

Verwijder al die omgevingen die je er extra bij geinstalleerd heb en kijk dan of het wel gaat. ZO niet, dan is er echt iets niet goed (en dat denk ik!) en moet je gewoon even opnieuw installeren. Dit is dan wel een goede les voor je.

Oh ja, omdat het Mint is, wil je voortaan wel even vertellen waar je mee werkt? Want je zit op een Ubuntu forum en alles wat niet Ubuntu is, mag je plaatsen onder Andere distributies. Dat onderdeel staat ergens hier op het forum.

Oke dat is duidelijk, ja is een goeie les voor mij

Offline Paul Matthijsse

  • Lid
  • Steunpunt: Nee
Re: Synaptic niet te installeren
« Reactie #5 Gepost op: 2015/01/23, 15:55:45 »
Dat gaat een keer fout, zoals nu. Ik raad het altijd af om meer omgevingen erbij te installeren.
Er is geen oorzakelijke reden te verzinnen waarom dat een keer fout moet gaan. Je kunt heel goed meerdere window managers installeren en daar naar wens op inloggen. Nadeel is wel dat je voor al die systemen updates gaat krijgen en zeker met KDE zijn dat omvangrijke dingen.

De kans dat je je systeem gaat verheen&weeren is daarentegen heel groot wanneer je een of meer van deze window managers gaat weghalen. Dus Femke, volgens mij is het dus beter om dàt af te raden. Installeren okay, verwijderen niet doen! Als je dat laatste doet, kun je vrijwel zeker je basissysteem gaan herinstalleren.
https://allesgimpofbijna.wordpress.com - GIMP en omstreken
https://paulsphotopalace.wordpress.com (Engelstalig) - Raw, RawTherapee, G'MIC, GIMP...

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Synaptic niet te installeren
« Reactie #6 Gepost op: 2015/01/23, 20:13:02 »
Voordat ik afgelopen dinsdag opnieuw installeerde (ditmaal ElementaryOS weer eens), had ik op Antergos ook meerdere omgevingen geïnstalleerd: GNOME Shell (standard gekozen bij de installatie van Antergos), Enlightenment, Budgie, Pantheon en AmiWM. (en probeerde er tussendoor ook nog een paar uit die ik weer verwijderd heb)
Nooit geen enkel probleem ervaren dat werd veroorzaakt door de vermenging van deze omgevingen.